#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

Summary:	Helper library for pcmanfm
Summary(pl.UTF-8):	Biblioteka pomocnicza do pcmanfm
Name:		libfm
Version:	1.2.1
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
# Source0-md5:	9b4790594c2c80f440ce3238c5774d23
Patch1:		mate-desktop.patch
URL:		http://pcmanfm.sourceforge.net/
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.27.0
BuildRequires:	gtk+2-devel >= 2.18.0
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libexif-devel
BuildRequires:	menu-cache-devel
BuildRequires:	pango-devel >= 1.16.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 0.13.0
BuildRequires:	xz
Obsoletes:	lxshortcut
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	shared-mime-info
Requires:	glib2 >= 1:2.27.0
# in case someone want to split this package into smaller ones
Provides:	libfm-gtk
Provides:	lxshortcut
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Helper library for pcmanfm.

%description -l pl.UTF-8
Biblioteka pomocnicza dla pcmanfm

%package devel
Summary:	Header files and libraries for libfm development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libfm
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libfm-gtk-devel

%description devel
This package contains the header files needed to develop programs that
use these libfm.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do rozwoju oprogramowania
korzystającego z libfm.

%package static
Summary:	Static library for libfm development
Summary(pl.UTF-8):	Biblioteka statyczna do libfm
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the header files and libraries needed to develop
programs that use these libfm.

%description static -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do rozwoju oprogramowania
korzystającego z libfm.

%package apidocs
Summary:	LIBFM API documentation
Summary(pl.UTF-8):	Dokumentacja API LIBFM
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
LIBFM API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API LIBFM.

%prep
%setup -q
%patch1 -p1

%build
%configure \
	--disable-silent-rules \
	--enable-gtk-doc=%{!?with_apidocs:no}%{?with_apidocs:yes} \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	--enable-exif \
	--enable-udisks \
	--with-gtk=2
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -j1 \
	INSTALL_DATA="install -p -m 644" \
	DESTDIR=$RPM_BUILD_ROOT

# pkg-config present, so drop .la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfm.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfm-gtk.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_mime_database

%postun
/sbin/ldconfig
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_bindir}/lxshortcut
%dir /etc/xdg/libfm
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/libfm/libfm.conf
%attr(755,root,root) %{_libdir}/libfm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfm.so.4
%attr(755,root,root) %{_libdir}/libfm-extra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfm-extra.so.4
%{_datadir}/libfm
%{_datadir}/mime/packages/libfm.xml
%attr(755,root,root) %{_libdir}/libfm

# -gtk
#%config(noreplace) %verify(not md5 mtime size) /etc/xdg/libfm/pref-apps.conf
%attr(755,root,root) %{_bindir}/libfm-pref-apps
%attr(755,root,root) %{_libdir}/libfm-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfm-gtk.so.4
%{_desktopdir}/libfm-pref-apps.desktop
%{_desktopdir}/lxshortcut.desktop
%{_mandir}/man1/libfm-pref-apps.1*
%{_mandir}/man1/lxshortcut.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/libfm
%{_libdir}/libfm-extra.so
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_pkgconfigdir}/libfm-gtk.pc
#%%{_pkgconfigdir}/libfm-gtk3.pc
%{_pkgconfigdir}/libfm.pc
%{_includedir}/libfm-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libfm-extra.a
%{_libdir}/libfm-gtk.a
%{_libdir}/libfm.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libfm
%endif
%changelog
* Wed Apr 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfm.git;a=log;h=master

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 78e284e
- noarch apidocs

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 206c463
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 63365a0
- updated gettext BR

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f01debe
- libffi rebuild
- release 2 (by relup.sh)

* Sun Jul 06 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b068a2d
- up to 1.2.1
- libfm-gtk3.pc was not installed

* Sun Mar 02 2014 Elan Ruusamäe <glen@delfi.ee> fea53e8
- disable silent rules

* Sun Mar 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3bf212d
- up to 1.2.0
- verbose build
- packaged lxshortcut (Obsoletes and Provides lxshortcut)

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> 9fcfc66
- release 2 (by relup.sh)

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 7b6feb6
- outdated with eb78cc9 commit

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> ff712dc
- update BR

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> eb78cc9
- up to 1.1.0

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 873e07d
- NotShowIn Mate for Preferred Applications tool

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 4550183
- up to 0.1.17, add -apidocs package

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 82a3920
- remove only when present

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> 0beed68
- drop invalid locale

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> ecb2a7e
- up to 0.1.16

* Tue Apr 26 2011 Elan Ruusamäe <glen@pld-linux.org> 810d652
- up to 0.1.15 git snap:
  - fixes copying files with spaces in it
  - gio module libgiofm.so dropped in favour of glib 2.27.0 x-scheme-handler/*
  - libfm/gnome-terminal dropped as it's no longer using g_app_info_launch

* Tue Apr 26 2011 Elan Ruusamäe <glen@pld-linux.org> 19e446b
- bR glib2-devel, gtk-doc

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 64b7725
- BR: pkgconfig

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 9e0bf75
- link with libgobject-2.0

